cpacfstats(1)

NAME
cpacfstats - enable, disable and display CPACF statistical data

SYNOPSIS
cpacfstats [-h|--help] [-v|--version] [-e|--enable counter ] [-d|--disable counter ] [-r|--reset counter ] [-p|--print counter ]

DESCRIPTION
The cpacfstats client application interacts with the cpacfstatsd daemon and triggers actions. The application enables, disables, resets, and fetches one or all of the mainframe CPACF performance counters with the help of the daemon process. All counters are initially disabled and must be switched on to measure CPACF activities of the system. There is a slight performance penalty with CPACF counters enabled. Note: All cryptographic counters are bound to physical CPUs. If you use dedicated CPUs for your LPAR, you obtain only your CPACF activities. If your CPUs are shared with other LPARs, their cryptographic activities might distort the results. CPACF performance counters are available on LPARs only. For security reasons only members of the group cpacfstats are allowed to run the cpacfstats client application. Example usage scenario:

1. Start the cpacfstatsd daemon with root privileges.

2. Check for successful startup by using the ps and syslog commands.

3. Enable the CPACF counters of interest. For example, enable all counters by issuing cpacfstats -e.

4. Run your applications.

5. Display counter values by using the cpacfstats command. Reset the cryptographic counters as required. To reset, use, for example, cpacfstats -r.

6. Disable all the CPACF measurements, for example, by using cpacfstats -d.

7. Shutdown the cpacfstatsd daemon by using killall cpacfstatsd.

OPTIONS

-h or --help
    Display help information for the command.

-v or --version
    Display version and copyright information for the command.

-e or --enable [counter]
    Enable one or all CPACF performance counters. The optional counter argument can be one of: des, aes, sha, prng or all. If the counter argument is omitted, all performance counters are enabled. Enabling a counter does not reset it. New events are added to the current counter value.

-d or --disable [counter]
    Disable one or all CPACF performance counters. The optional counter argument can be one of: des, aes, sha, prng or all. If the counter argument is omitted, all performance counters are disabled. Disabling a counter does not reset it. The counter value is preserved when a counter is disabled, and counting will resume using the preserved value when the counter is re-enabled.

-r or --reset [counter]
    Reset one or all CPACF performance counters. The optional counter argument can be one of: des, aes, sha, prng or all. If the counter argument is omitted, all performance counters are reset to 0.

-p or --print [counter]
    Display the value of one or all CPACF performance counters. The optional counter argument can be one of: des, aes, sha, prng or all. If the counter argument is omitted or if there is no argument, all performance counters are displayed.

The default command is --print all.

FILES
/var/run/cpacfstatsd_socket

RETURN VALUE

0   Successful program execution.

1   An error occurred, reasons include: invalid argument, cpacfstatsd could not be reached (check that the daemon is running), insufficient access rights, version mismatch between client and daemon, or the application is out of memory. The application prints a message with the details of the error and the errno value.

SEE ALSO
cpacfstatsd (8)